interface ClickableLinkProps {
    url:string;
    text:string;
}

export default function ClickableLink({url, text}: ClickableLinkProps) {
    return (<div>
        <a href={url}><button style={{
            backgroundColor: "transparent",
            borderRadius: '8px',
            borderWidth: '0',
            cursor: 'pointer',
            display: 'inline-block',
            fontFamily: '"Haas Grot Text R Web", "Helvetica Neue", Helvetica, Arial, sans-serif',
            fontSize: '18px',
            fontWeight: '0',
            lineHeight: '20px',
            listStyle: 'none',
            margin: '0',
            padding: '10px 12px',
            textAlign: 'center',
            transition: 'all 200ms',
            verticalAlign: 'baseline',
            whiteSpace: 'nowrap',
            userSelect: 'none',
            WebkitUserSelect: 'none',
            touchAction: 'manipulation',
        }} className="LinkNavbar">{text}</button></a>
    </div>)
}